Bug 212716 - de_CH keyboard with sun dead keys not supported in GNOME.
de_CH keyboard with sun dead keys not supported in GNOME.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-xkbdata (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-28 05:17 EDT by Lutz Behringer
Modified: 2008-01-15 09:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:39:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lutz Behringer 2006-10-28 05:17:45 EDT
Description of problem:

In Gnome the Swiss-German keyboard layout with Sun dead keys is still not
supported and operates as a Swiss-German keyboard eliminate dead keys.

Version-Release number of selected component (if applicable):
This happens with a fresh fc6 installation without any patches and was already
existing in FC5. I know only for sure that FC4 supported the Sun dead keys.

How reproducible:
Happens always after a fresh installation in English with as keyboard sg-latin1.


Steps to Reproduce:
1.Install FC6 with sg-latin1 keyboard in the English language.
2. Change in the system preferences the keyboard layout to Switzerland German,
Sun dead keys. 
  
Actual results:
In a terminal, pressing first """ and afterward "i" produces ""i".

Expected results:
In a terminal, pressing first """ and afterward "i" should produce "ï".

Additional info:

I found as hint that in X.Org 6.7.0+, for de_CH still the old format of XKB was
used instead of the single-group format.
Comment 1 Lutz Behringer 2006-10-29 02:35:45 EST
I swapped the hard disk with a spare and installed FC6 from scratch with KDE
instead of Gnome. The Swiss-German keyboard with dead keys is fully supported in
KDE. 
Comment 2 Matěj Cepl 2007-12-10 04:22:39 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 3 Matěj Cepl 2008-01-15 09:39:38 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.